Package com.independentsoft.office.spreadsheet.tables

# Enum Class TableType

java.lang.Object
java.lang.Enum<TableType>
com.independentsoft.office.spreadsheet.tables.TableType

All Implemented Interfaces:
  `Serializable`, `Comparable<TableType>`, `Constable`

public enum TableType extends Enum<TableType>
The Enum TableType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  `QUERY_TABLE`
  `WORKSHEET`
  `XML`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TableType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TableType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### QUERY_TABLE

    public static final TableType QUERY_TABLE

  - ### WORKSHEET

    public static final TableType WORKSHEET

  - ### XML

    public static final TableType XML

  - ### NONE

    public static final TableType NONE

- ## Method Details

  - ### values

    public static TableType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TableType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null